Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.util
Interface Progressable

All Known Subinterfaces:
  Reporter

All Known Implementing Classes:
  MapContext, Mapper.Context, ReduceContext, Reducer.Context, Task.TaskReporter, TaskAttemptContext, TaskAttemptContext, TaskInputOutputContext

    public interface Progressable

A facility for reporting progress.

Clients and/or applications can use the provided `Progressable` to explicitly report progress to the Hadoop framework. This is especially important for operations which take an insignificant amount of time since, in-lieu of the reported progress, the framework has to assume that an error has occured and time-out the operation.

Method Summary
`void` | `progress()` Report progress to the Hadoop framework.

Method Detail

### progress

    void progress()

  Report progress to the Hadoop framework.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation